package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.RutaIcmsExcepcion;

public class RenderRutaIcmsExcepcion implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		RutaIcmsExcepcion rutaIcmsExcepcion = (RutaIcmsExcepcion) o;

		Listcell lc = new Listcell(rutaIcmsExcepcion.getOrigen().getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(rutaIcmsExcepcion.getDestino().getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(rutaIcmsExcepcion.getIndTribTarifa() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);

		lc = new Listcell(rutaIcmsExcepcion.getIndTribTaxaEmbarque() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		
		lc = new Listcell(rutaIcmsExcepcion.getIndTribPedagio() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		
		lc = new Listcell(rutaIcmsExcepcion.getIndCST41() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		
		lstm.setAttribute("data", rutaIcmsExcepcion);
	}
}
